#!/bin/bash

#run this script to store the alsa mixer settings that will be restored on gdm init

#alsa sound mixer settings are stored in /var/lib/alsa/asound.state
#and are stored whenever the 
#alsactl store 
#command is run.  only root has permission to write to /var/lib/alsa/asound.state
#but alsactl store may be run automatically on shutdown.  instead of changing that behavior, we restore from a separate
#location meant specificatlly for groovix sound card settings to be restored on each gdm init

#we assume one sound card in the machine, this will operate on the default sound card
mkdir -p /var/lib/groovix/alsa/
alsactl store -f /var/lib/groovix/alsa/asound.state
